/******************************************/
/*    nastaveni barev                     */
/******************************************/

/*           Color scheme                  */
/*  hlavni zelena: rgba(65, 75, 0, 1)      */
/*  další zlatá:   rgba(188, 155, 7, 1)    */
/*  další červená  rgba(152, 23, 18, 1)    */
/*                                         */

:root {
    --blue: #4e73df;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #e74a3b;
    --orange: #fd7e14;
    --yellow: #f6c23e;
    --green: #1cc88a;
    --teal: #20c9a6;
    --cyan: #36b9cc;
    --white: #fff;
    --gray: #858796;
    --gray-dark: #5a5c69;
    --primary: #4e73df;
    --secondary: #858796;
    --success: #009900;
    --info: #36b9cc;
    --warning: #f6c23e;
    --danger: #e74a3b;
    --light: #f8f9fc;
    --dark: #5a5c69;
    --breakpoint-xs: 0;
    --breakpoint-sm: 576px;
    --breakpoint-md: 768px;
    --breakpoint-lg: 992px;
    --breakpoint-xl: 1200px;
    --font-family-sans-serif: "Nunito",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
}

.bg-gradient-success {
    background-color: #009900;
    background-image: linear-gradient(180deg,#006600 10%,#004500 100%);
    background-size: cover;
}
.btn-success {
    color: #fff;
    background-color: #009900;
    border-color: #006600;
}

.col-3a,
.col-xs-3a,
.col-sm-3a,
.col-md-3a,
.col-lg-3a,
.col-xl-3a {
    flex: 0 0 20%;
    max-width: 20%;
    position: relative;
    width: 100%;
    padding-right: 0.75rem;
    padding-left: 0.75rem;
}

.ruka {cursor: pointer !important;}

.h-5rem {height: 5rem;}
.h-20rem {height: 20rem;}
.h-30rem {height: 30rem;}
.h-50rem {height: 50rem;}

.smaller {font-size: 70% !important;}
.font-10em {font-size: 1.0em !important;}
.font-11em {font-size: 1.1em !important;}
.font-12em {font-size: 1.2em !important;}
.font-14em {font-size: 1.4em !important;}
.font-16em {font-size: 1.6em !important;}
.font-18em {font-size: 1.8em !important;}
.font-2em {font-size: 2em !important;}

form.user .form-control-user {
    font-size: .9rem;
    border-radius: .1rem;
    padding: 1.5rem 1rem;
}
form.user .btn-user {
    font-size: 1rem;
    border-radius: .1rem;
    padding: .75rem 1rem;
}
.custom-select-lg {
    height: calc(2em + 1rem + 2px);
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1rem;
    font-size: 1rem;
    border-radius: 0.1rem;
}
.modal-dialog-centered {
    display: flex;
    align-items: center;
    min-height: calc(100% - 1rem) !important;
}
.bg-login-image {
    background: url(../img/131008_5253.jpg);
    background-position: center;
    background-size: cover;
}
.pending-requests-card a:hover {
  text-decoration: none;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
}
.pending-requests-card .card:hover {
  box-shadow: 0 .15rem 1.75rem 0 rgba(58,59,69,.55)!important;
}
.custom-switch .custom-control-label::before {
    left: -4.25rem;
    top: -0.20em;
    width: 3.75rem;
    pointer-events: all;
    border-radius: 2rem;
    height: 2em;
}
.custom-switch .custom-control-label::after {
    top: calc(-0.1rem + 2px);
    left: calc(-4.1rem + 2px);
    width: calc(1.8rem - 4px);
    height: calc(1.8rem - 4px);
    background-color: #b7b9cc;
    border-radius: 2rem;
    transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.custom-switch .custom-control-input:checked~.custom-control-label::after {
    background-color: #fff;
    transform: translateX(1.7rem);
}
.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #006600;
    background-color: #009900;
}

.table-bordered th {
  background-color: #e3e6f0;
  background-image: linear-gradient(180deg,#f8f9fc 10%,#F1F3F9 100%);
  background-size: cover;
}
.checkbox-modal {
  position: absolute;
  display: block;
  top: 0rem;
  right: 0;
  width: 2rem;
  height: 2rem;
  background: #fff;
  /*border: 4px solid green;*/
  cursor: pointer;
  border-radius: 0.3rem;
  padding: 0.3em 0 0 0.4em;
}
.checkbox-modal:before {
  font-family: "Font Awesome 5 Free";
  content: "\f146";
  color: #888888;
  font-size: 1.4em;
  margin: 0;
}
.checkbox-modal.checked {

}
.checkbox-modal.checked:before {
  font-family: "Font Awesome 5 Free";
  content: "\f14a";
  color: green;
  font-size: 1.4em;
  margin: 0;
}
.soubor {
  /*height: 5vh !important;*/
  overflow: hidden;
}
.soubor img {
  width: 100%;
  height: 15vw;
  object-fit: cover;
}
.soubor .souborsmazat {
  display: none;
  position: absolute;
  left: 0rem;
  bottom: 0rem;
  width: 3rem;
  height: 3rem;
  background: #303030;
  color: #b0b0b0;
  padding: 1rem;
  border-radius: 0.2rem;
  z-index: 101;
}
.soubor .souborsmazat a {
  color: #b0b0b0;
}
.soubor .souborsmazat:hover a {
  color: #cc0000;
}
.file-upload-menu {
  display: inline-block;
  width: 170px;
  height: 70px;
  margin-left: 0.5rem;
  background-color: #f5f5f5;
  border: 4px dashed #B5B5B5;
  color: #B5B5B5;
  font-size: 50px;
  text-align: center;
  padding: 0 5rem 7rem 4rem;;
}
.file-upload-menu:after {
  position: absolute;
  left: 0.5rem;
  bottom: 1.5rem;
  width: 80%;
  text-align: center;
  content: "Sem přetáhněte soubor pro upload";
  font-size: 0.3em;
  line-height: 0.7rem;
  margin-left: auto;
  margin-right: auto;
}
.file-upload-menu.najeto {
  background-color: rgba(0, 153, 0, 0.1);
}
.tooltip .tooltip-inner {
  background-color: #555;
}
.tooltip .arrow {
  border-color: #555;
}
.cell-down {
  position: relative;
}
.cell-down:after {
    content: "";
    position: absolute;
    left: calc(100% - 0.7rem);
    bottom: 0;
    border-left: 0.7rem solid transparent;
    border-bottom: 0.7rem solid #eaecf4;
    transition: transform 0.3s;
}
.cell-down:hover:after {
    left: calc(100% - 1rem);
    bottom: 0.2rem;
    border-left: 0.7rem solid transparent;
    border-bottom: 0.7rem solid #B9BFDA;
    transform: rotate(45deg);
}
.ma-podkategorii {
  position: relative;
}
.ma-podkategorii:after {
/*    content: "\2304";
    position: absolute;
    left: calc(100% - 0.7rem);
    top: 0.5rem;
    color: #cc0000;*/
    content: "";
    position: absolute;
    left: calc(100% - 0.7rem);
    bottom: 0;
    border-left: 0.7rem solid transparent;
    border-bottom: 0.7rem solid #cc0000;
    transition: transform 0.3s;
}
.ma-podkategorii:hover:after {
    left: calc(100% - 1rem);
    bottom: 0.2rem;
    border-left: 0.7rem solid transparent;
    border-bottom: 0.7rem solid #cc0000;
    transform: rotate(45deg);
}
.custom-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    border: 1px solid #CCC;
    white-space: nowrap;
    font-family: sans-serif;
    background: #FFF;
    color: #333;
    border-radius: 5px;
    list-style: none;
    padding-left: 0;
    box-shadow: 2px 5px 10px rgba(0, 0, 0, 0.2);
}
.custom-menu li {
    padding: 0.5rem 1rem;
    cursor: pointer;
}
.custom-menu li:hover {
    background-color: #DEF;
}
.custom-menu li:hover a{
    text-decoration: none;
}

/* Hiding the checkbox, but allowing it to be focused */
.badgebox {
    opacity: 0;
}
.badgebox + .badge {
    /* Move the check mark away when unchecked */
    text-indent: -999999px;
    /* Makes the badge's width stay the same checked and unchecked */
  width: 27px;
}
.badgebox:focus + .badge {
    /* Set something to make the badge looks focused */
    /* This really depends on the application, in my case it was: */
    /* Adding a light border */
    box-shadow: inset 0px 0px 5px;
    /* Taking the difference out of the padding */
}
.badgebox:checked + .badge {
    /* Move the check mark back when checked */
    text-indent: 0;
}
.btn span.glyphicon {
  opacity: 0;
}
.btn.active span.glyphicon {
  opacity: 1;
}
.custom-checkbox .custom-control-label-1::before {
    border-radius: 0.01rem;
}
.custom-control-label-1::before {
    position: absolute;
    top: 0.25rem;
    left: -1.5rem;
    display: block;
    width: 1.1rem;
    height: 1.1rem;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #888 solid 1px;
}
.custom-control-label-1::after {
    position: absolute;
    top: 0.05rem;
    left: -1.7rem;
    display: block;
    width: 1.6rem;
    height: 1.6rem;
    content: "";
    background: no-repeat 50% / 50% 50%;
}

.upload-area {
    width: 90%;
    height: 200px;
    border: 2px dotted lightgray;
    border-radius: 3px;
    margin: 0 auto;
    margin-top: 2rem;
    margin-bottom: 3rem;
    padding-top: 2rem;
    text-align: center;
    overflow: auto;
}
.upload-area:hover {
    background-color: rgba(0, 128, 0, 0.2);
    cursor: pointer;
}
.upload-area.najeto {
    background-color: rgba(0, 128, 0, 0.2);
}
.upload-area i {
    font-size: 3em;
}
.upload-area .upnadpis {
    text-align: center;
    font-weight: normal;
    font-family: sans-serif;
    /*line-height: 50px;*/
    color: darkslategray;
}
#nahrejmenufile {
    display: none;
}
/* Thumbnail */
.thumbnail {
    width: 80px;
    height: 80px;
    padding: 2px;
    border: 2px solid lightgray;
    border-radius: 3px;
    float: left;
}
.size {
    font-size:1em;
}
.collapse .collapse-divider {
    height: 1px;
    margin: 9px 0;
    overflow: hidden;
    background-color: #e5e5e5;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  font-size: 0.8em; font-style: italic;
}
input::-moz-placeholder,
textarea::-moz-placeholder, { /* Firefox 19+ */
  font-size: 0.8em; font-style: italic;
}
input:-ms-input-placeholder,
textarea:-ms-input-placeholder { /* IE 10+ */
  font-size: 0.8em; font-style: italic;
}
input:-moz-placeholder,
textarea:-moz-placeholder { /* Firefox 18- */
  font-size: 0.8em; font-style: italic;
}

.btn-icon-split {
  padding: 0;
  overflow: hidden;
  display: inline-flex;
  align-items: stretch;
  justify-content: center;
}

.btn-icon-split .icon {
  background: rgba(0, 0, 0, 0.15);
  display: inline-block;
  padding: 0.375rem 0.75rem;
}
.btn-icon-split .icon i.druhy {
    position: absolute;
    font-size: 0.8em;
    margin-left: -0.2em;
    margin-top: -0.2em;
}

.btn-icon-split .text {
  display: inline-block;
  padding: 0.375rem 0.75rem;
}
